Api referenceReports

Approve Report

Reference for Approve Report in the Hyperoru v1 API, including request, response, and authentication details.

POST/v1/workspaces/{workspace_id}/reports/{report_id}/approve

Approve Report. Returns a typed response and a request ID for operational support.

Authorization

hyperoru_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid
report_id*Report Id
Formatuuid

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/approve"
{
  "approved_at": "2019-08-24T14:15:22Z",
  "approved_by": "02030314-b162-4b4d-8af1-88eabdcc615d",
  "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",
  "compliance_control_count": 0,
  "created_at": "2019-08-24T14:15:22Z",
  "diagnostic_count": 0,
  "finding_dispositions": {
    "property1": 0,
    "property2": 0
  },
  "history_change_count": 0,
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "revision": 0,
  "status": "string",
  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}